<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_523a40c86a0eb0d317646ab2" . "bbd40de8" => base64_decode("Tm8gdGVtcGx" . "hdGUgcmVxdW" . "VzdGVk"), "_69100b7c21efad30d73e5c90a439a5" . "ce" => base64_decode("Ly4qXC50d2l" . "nJC8="), "te" . "mp" . "la" . "te" => base64_decode("dGVtcGxhd" . "GU="), "_d155d43a39de93f858123c" . "6b6ce31d8a" => base64_decode("cHJl" . "Z19t" . "YXRj" . "aA=="), "_e632e86b02887f94d49b7ed7" . "6a3ebcdc" => base64_decode("VGVtcGxhdGU" . "gbm90IGZvdW" . "5k"), "_7313d9106eada68" . "fc893a6d6733b58a" . "6" => base64_decode("VGVtcGxhdGUgZG9lcyBub" . "3QgZW5kIHdpdGggdGhlIC" . "oudHdpZyBleHRlbnNpb24" . "="), "_2c83c05de4fa1408" . "a298026dfb8d94b9" => base64_decode("Y2ZnX2RldmVsb3Blc" . "l9tb2Rl"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["templa" . "te"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["templat" . "e"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_2c83c05de4fa" . "1408a298026df" . "b8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d155d43a39de93f858123c6b6ce" . "31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_69100b7c" . "21efad30d" . "73e5c90a4" . "39a5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_523a40c8" . "6a0eb0d31" . "7646ab2bb" . "d40de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7313d91" . "06eada68" . "fc893a6d" . "6733b58a" . "6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e632e86b" . "02887f94d" . "49b7ed76a" . "3ebcdc"]);
        }
        return $template;
    }
}